# GET /api/auth/members

This API is used by an organization to get info about members that are registered under their account.

## Example Request

```
curl -X GET '<https://idrx.co/api/auth/members>' --header 'idrx-api-key: <API_KEY>' --header 'idrx-api-sig: <signature>' --header 'idrx-api-ts': <timestamp>'
```

## Response

If the request is successful, the response will be as shown below:

```json
{
    "statusCode": 200,
    "message": "success",
    "data": [
        {
            "id": 421,
            "email": "jack.smith@gmail.com",
            "createdAt": "2023-12-27T06:33:58.173Z",
            "fullname": "JACK SMITH",
            "ApiKeys": [
                {
                    "apiKey": "{API_KEY}"
                }
            ]
        },
        {
            "id": 411,
            "email": "john.smith@gmail.com",
            "createdAt": "2023-12-19T09:58:34.357Z",
            "fullname": "JOHN SMITH",
            "ApiKeys": [
                {
                    "apiKey": "{API_KEY}"
                }
            ]
        },
        ...,
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.idrx.co/api/onboarding-api/get-api-auth-members.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
